org.modeshape.jcr.query.model

## Class DescendantNode

- java.lang.Object
- - org.modeshape.jcr.query.model.DescendantNode

- All Implemented Interfaces:
    Serializable, Constraint, DescendantNode, LanguageObject, Visitable

      @Immutable
      public class DescendantNode
      extends Object
      implements Constraint, DescendantNode

  A constraint requiring that the selected node is a descendant of the node reachable by the supplied absolute path
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescendantNode(SelectorName selectorName, String ancestorPath)` Create a constraint requiring that the node identified by the selector is a descendant of the node reachable by the supplied absolute path.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `boolean` | `equals(Object obj)`
    `String` | `getAncestorPath()`
    `String` | `getSelectorName()`
    `int` | `hashCode()`
    `SelectorName` | `selectorName()` Get the name of the selector for the node.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DescendantNode

          public DescendantNode(SelectorName selectorName,
                        String ancestorPath)

      Create a constraint requiring that the node identified by the selector is a descendant of the node reachable by the supplied absolute path.
      Parameters:
        `selectorName` - the name of the selector
        `ancestorPath` - the absolute path to the ancestor

  - ### Method Detail

    - #### selectorName

          public final SelectorName selectorName()

      Get the name of the selector for the node.
      Returns:
        the selector name; never null

    - #### getSelectorName

          public String getSelectorName()

      Specified by:
        `getSelectorName` in interface `DescendantNode`

    - #### getAncestorPath

          public final String getAncestorPath()

      Specified by:
        `getAncestorPath` in interface `DescendantNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.